Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::indexed_line_set_node Class Reference

Inheritance diagram for openvrml::vrml97_node::indexed_line_set_node:

[legend]
List of all members.

## Detailed Description

Represents IndexedLineSet node instances.

## Public Member Functions
| indexed_line_set_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~indexed_line_set_node () throw ()
| Destroy.
## Private Member Functions
virtual viewer::object_t | do_render_geometry (openvrml::viewer &viewer, rendering_context context)
| Insert this geometry into `viewer's` display list.
virtual bool | do_emissive () const throw ()
| Indicate that line sets should be drawn with the emissive color.
## Friends
class | indexed_line_set_class
| Class object for IndexedLineSet nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::indexed_line_set_node::indexed_line_set_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

  | Construct. Parameters:
  | type | the node_type associated with the node.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::indexed_line_set_node::~indexed_line_set_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

viewer::object_t openvrml::vrml97_node::indexed_line_set_node::do_render_geometry | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

  | Insert this geometry into `viewer's` display list. Parameters:
  | viewer | a Viewer.
  | context | the rendering context.
Todo: colors Reimplemented from openvrml::geometry_node.

bool openvrml::vrml97_node::indexed_line_set_node::do_emissive | ( |  | ) | const throw ()`[private, virtual]`

| Indicate that line sets should be drawn with the emissive color. Returns: `true`. Reimplemented from openvrml::geometry_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::indexed_line_set_node::indexed_line_set_class`[friend]`

| Class object for IndexedLineSet nodes.